export default SemanticTypePicker;
declare function SemanticTypePicker({ name, tabIndex, onKeyDown, options, label, onChange, className, }: {
    name: any;
    tabIndex: any;
    onKeyDown: any;
    options: any;
    label: any;
    onChange: any;
    className: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace SemanticTypePicker {
    export { propTypes };
}
declare namespace propTypes {
    let name: PropTypes.Requireable<string>;
    let label: PropTypes.Requireable<string>;
    let tabIndex: PropTypes.Requireable<string>;
    let onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
    let options: PropTypes.Requireable<any[]>;
    let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    let className: PropTypes.Requireable<string>;
}
import PropTypes from "prop-types";
